Fix igen build
[deliverable/binutils-gdb.git] / sim / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Copyright (C) 1993-2021 Free Software Foundation, Inc.
19 #
20 # This program is free software; you can redistribute it and/or modify
21 # it under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 3 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful,
26 # but WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
28 # GNU General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program. If not, see <http://www.gnu.org/licenses/>.
32
33 # The IGEN simulator generator for GDB, the GNU Debugger.
34 #
35 # Copyright 2002-2021 Free Software Foundation, Inc.
36 #
37 # Contributed by Andrew Cagney.
38 #
39 # This file is part of GDB.
40 #
41 # This program is free software; you can redistribute it and/or modify
42 # it under the terms of the GNU General Public License as published by
43 # the Free Software Foundation; either version 3 of the License, or
44 # (at your option) any later version.
45 #
46 # This program is distributed in the hope that it will be useful,
47 # but WITHOUT ANY WARRANTY; without even the implied warranty of
48 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
49 # GNU General Public License for more details.
50 #
51 # You should have received a copy of the GNU General Public License
52 # along with this program. If not, see <http://www.gnu.org/licenses/>.
53
54 #
55 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
56 #
57 # This program is free software; you can redistribute it and/or modify
58 # it under the terms of the GNU General Public License as published by
59 # the Free Software Foundation; either version 3 of the License, or
60 # (at your option) any later version.
61 #
62 # This program is distributed in the hope that it will be useful,
63 # but WITHOUT ANY WARRANTY; without even the implied warranty of
64 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
65 # GNU General Public License for more details.
66 #
67 # You should have received a copy of the GNU General Public License
68 # along with this program. If not, see <http://www.gnu.org/licenses/>.
69
70 # Copyright (C) 1997-2021 Free Software Foundation, Inc.
71 #
72 # This program is free software; you can redistribute it and/or modify
73 # it under the terms of the GNU General Public License as published by
74 # the Free Software Foundation; either version 3 of the License, or
75 # (at your option) any later version.
76 #
77 # This program is distributed in the hope that it will be useful,
78 # but WITHOUT ANY WARRANTY; without even the implied warranty of
79 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
80 # GNU General Public License for more details.
81 #
82 # You should have received a copy of the GNU General Public License
83 # along with this program. If not, see <http://www.gnu.org/licenses/>.
84
85 VPATH = @srcdir@
86 am__is_gnu_make = { \
87 if test -z '$(MAKELEVEL)'; then \
88 false; \
89 elif test -n '$(MAKE_HOST)'; then \
90 true; \
91 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
92 true; \
93 else \
94 false; \
95 fi; \
96 }
97 am__make_running_with_option = \
98 case $${target_option-} in \
99 ?) ;; \
100 *) echo "am__make_running_with_option: internal error: invalid" \
101 "target option '$${target_option-}' specified" >&2; \
102 exit 1;; \
103 esac; \
104 has_opt=no; \
105 sane_makeflags=$$MAKEFLAGS; \
106 if $(am__is_gnu_make); then \
107 sane_makeflags=$$MFLAGS; \
108 else \
109 case $$MAKEFLAGS in \
110 *\\[\ \ ]*) \
111 bs=\\; \
112 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
113 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
114 esac; \
115 fi; \
116 skip_next=no; \
117 strip_trailopt () \
118 { \
119 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
120 }; \
121 for flg in $$sane_makeflags; do \
122 test $$skip_next = yes && { skip_next=no; continue; }; \
123 case $$flg in \
124 *=*|--*) continue;; \
125 -*I) strip_trailopt 'I'; skip_next=yes;; \
126 -*I?*) strip_trailopt 'I';; \
127 -*O) strip_trailopt 'O'; skip_next=yes;; \
128 -*O?*) strip_trailopt 'O';; \
129 -*l) strip_trailopt 'l'; skip_next=yes;; \
130 -*l?*) strip_trailopt 'l';; \
131 -[dEDm]) skip_next=yes;; \
132 -[JT]) skip_next=yes;; \
133 esac; \
134 case $$flg in \
135 *$$target_option*) has_opt=yes; break;; \
136 esac; \
137 done; \
138 test $$has_opt = yes
139 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
140 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
141 pkgdatadir = $(datadir)/@PACKAGE@
142 pkgincludedir = $(includedir)/@PACKAGE@
143 pkglibdir = $(libdir)/@PACKAGE@
144 pkglibexecdir = $(libexecdir)/@PACKAGE@
145 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
146 install_sh_DATA = $(install_sh) -c -m 644
147 install_sh_PROGRAM = $(install_sh) -c
148 install_sh_SCRIPT = $(install_sh) -c
149 INSTALL_HEADER = $(INSTALL_DATA)
150 transform = $(program_transform_name)
151 NORMAL_INSTALL = :
152 PRE_INSTALL = :
153 POST_INSTALL = :
154 NORMAL_UNINSTALL = :
155 PRE_UNINSTALL = :
156 POST_UNINSTALL = :
157 build_triplet = @build@
158 host_triplet = @host@
159 target_triplet = @target@
160 check_PROGRAMS = $(am__EXEEXT_3)
161 EXTRA_PROGRAMS = $(am__EXEEXT_2) testsuite/common/bits-gen$(EXEEXT) \
162 testsuite/common/fpu-tst$(EXEEXT)
163 @SIM_ENABLE_IGEN_TRUE@am__append_1 = igen/libigen.a
164 @SIM_ENABLE_IGEN_TRUE@am__append_2 = $(igen_IGEN_TOOLS)
165 @SIM_ENABLE_IGEN_TRUE@am__append_3 = $(igen_IGEN_TOOLS)
166 TESTS = testsuite/common/bits32m0$(EXEEXT) \
167 testsuite/common/bits32m31$(EXEEXT) \
168 testsuite/common/bits64m0$(EXEEXT) \
169 testsuite/common/bits64m63$(EXEEXT) \
170 testsuite/common/alu-tst$(EXEEXT)
171 subdir = .
172 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
173 am__aclocal_m4_deps = $(top_srcdir)/../config/depstand.m4 \
174 $(top_srcdir)/../config/lead-dot.m4 \
175 $(top_srcdir)/../config/override.m4 \
176 $(top_srcdir)/m4/sim_ac_toolchain.m4 \
177 $(top_srcdir)/configure.ac
178 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
179 $(ACLOCAL_M4)
180 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
181 $(am__configure_deps)
182 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
183 configure.lineno config.status.lineno
184 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
185 CONFIG_CLEAN_FILES =
186 CONFIG_CLEAN_VPATH_FILES =
187 LIBRARIES = $(noinst_LIBRARIES)
188 ARFLAGS = cru
189 AM_V_AR = $(am__v_AR_@AM_V@)
190 am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
191 am__v_AR_0 = @echo " AR " $@;
192 am__v_AR_1 =
193 igen_libigen_a_AR = $(AR) $(ARFLAGS)
194 igen_libigen_a_LIBADD =
195 am__dirstamp = $(am__leading_dot)dirstamp
196 @SIM_ENABLE_IGEN_TRUE@am_igen_libigen_a_OBJECTS = \
197 @SIM_ENABLE_IGEN_TRUE@ igen/table.$(OBJEXT) igen/lf.$(OBJEXT) \
198 @SIM_ENABLE_IGEN_TRUE@ igen/misc.$(OBJEXT) \
199 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.$(OBJEXT) \
200 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.$(OBJEXT) \
201 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.$(OBJEXT) \
202 @SIM_ENABLE_IGEN_TRUE@ igen/filter.$(OBJEXT) \
203 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.$(OBJEXT) \
204 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.$(OBJEXT) \
205 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.$(OBJEXT) \
206 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.$(OBJEXT) \
207 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.$(OBJEXT) \
208 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.$(OBJEXT) \
209 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.$(OBJEXT) \
210 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.$(OBJEXT) \
211 @SIM_ENABLE_IGEN_TRUE@ igen/gen.$(OBJEXT)
212 igen_libigen_a_OBJECTS = $(am_igen_libigen_a_OBJECTS)
213 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_1 = igen/igen$(EXEEXT) \
214 @SIM_ENABLE_IGEN_TRUE@ igen/filter$(EXEEXT) igen/gen$(EXEEXT) \
215 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache$(EXEEXT) \
216 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode$(EXEEXT) \
217 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn$(EXEEXT) \
218 @SIM_ENABLE_IGEN_TRUE@ igen/table$(EXEEXT)
219 @SIM_ENABLE_IGEN_TRUE@am__EXEEXT_2 = $(am__EXEEXT_1)
220 am__EXEEXT_3 = testsuite/common/bits32m0$(EXEEXT) \
221 testsuite/common/bits32m31$(EXEEXT) \
222 testsuite/common/bits64m0$(EXEEXT) \
223 testsuite/common/bits64m63$(EXEEXT) \
224 testsuite/common/alu-tst$(EXEEXT)
225 am_igen_filter_OBJECTS =
226 igen_filter_OBJECTS = $(am_igen_filter_OBJECTS)
227 @SIM_ENABLE_IGEN_TRUE@igen_filter_DEPENDENCIES = igen/filter-main.o \
228 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
229 am_igen_gen_OBJECTS =
230 igen_gen_OBJECTS = $(am_igen_gen_OBJECTS)
231 @SIM_ENABLE_IGEN_TRUE@igen_gen_DEPENDENCIES = igen/gen-main.o \
232 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
233 @SIM_ENABLE_IGEN_TRUE@am_igen_igen_OBJECTS = igen/igen.$(OBJEXT)
234 igen_igen_OBJECTS = $(am_igen_igen_OBJECTS)
235 @SIM_ENABLE_IGEN_TRUE@igen_igen_DEPENDENCIES = igen/libigen.a
236 am_igen_ld_cache_OBJECTS =
237 igen_ld_cache_OBJECTS = $(am_igen_ld_cache_OBJECTS)
238 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_DEPENDENCIES = \
239 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache-main.o igen/libigen.a
240 am_igen_ld_decode_OBJECTS =
241 igen_ld_decode_OBJECTS = $(am_igen_ld_decode_OBJECTS)
242 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_DEPENDENCIES = \
243 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode-main.o igen/libigen.a
244 am_igen_ld_insn_OBJECTS =
245 igen_ld_insn_OBJECTS = $(am_igen_ld_insn_OBJECTS)
246 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_DEPENDENCIES = igen/ld-insn-main.o \
247 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
248 am_igen_table_OBJECTS =
249 igen_table_OBJECTS = $(am_igen_table_OBJECTS)
250 @SIM_ENABLE_IGEN_TRUE@igen_table_DEPENDENCIES = igen/table-main.o \
251 @SIM_ENABLE_IGEN_TRUE@ igen/libigen.a
252 testsuite_common_alu_tst_SOURCES = testsuite/common/alu-tst.c
253 testsuite_common_alu_tst_OBJECTS = testsuite/common/alu-tst.$(OBJEXT)
254 testsuite_common_alu_tst_LDADD = $(LDADD)
255 testsuite_common_bits_gen_SOURCES = testsuite/common/bits-gen.c
256 testsuite_common_bits_gen_OBJECTS = \
257 testsuite/common/bits-gen.$(OBJEXT)
258 testsuite_common_bits_gen_LDADD = $(LDADD)
259 testsuite_common_bits32m0_SOURCES = testsuite/common/bits32m0.c
260 testsuite_common_bits32m0_OBJECTS = \
261 testsuite/common/bits32m0.$(OBJEXT)
262 testsuite_common_bits32m0_LDADD = $(LDADD)
263 testsuite_common_bits32m31_SOURCES = testsuite/common/bits32m31.c
264 testsuite_common_bits32m31_OBJECTS = \
265 testsuite/common/bits32m31.$(OBJEXT)
266 testsuite_common_bits32m31_LDADD = $(LDADD)
267 testsuite_common_bits64m0_SOURCES = testsuite/common/bits64m0.c
268 testsuite_common_bits64m0_OBJECTS = \
269 testsuite/common/bits64m0.$(OBJEXT)
270 testsuite_common_bits64m0_LDADD = $(LDADD)
271 testsuite_common_bits64m63_SOURCES = testsuite/common/bits64m63.c
272 testsuite_common_bits64m63_OBJECTS = \
273 testsuite/common/bits64m63.$(OBJEXT)
274 testsuite_common_bits64m63_LDADD = $(LDADD)
275 testsuite_common_fpu_tst_SOURCES = testsuite/common/fpu-tst.c
276 testsuite_common_fpu_tst_OBJECTS = testsuite/common/fpu-tst.$(OBJEXT)
277 testsuite_common_fpu_tst_LDADD = $(LDADD)
278 AM_V_P = $(am__v_P_@AM_V@)
279 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
280 am__v_P_0 = false
281 am__v_P_1 = :
282 AM_V_GEN = $(am__v_GEN_@AM_V@)
283 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
284 am__v_GEN_0 = @echo " GEN " $@;
285 am__v_GEN_1 =
286 AM_V_at = $(am__v_at_@AM_V@)
287 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
288 am__v_at_0 = @
289 am__v_at_1 =
290 DEFAULT_INCLUDES = -I.@am__isrc@
291 depcomp = $(SHELL) $(top_srcdir)/../depcomp
292 am__depfiles_maybe = depfiles
293 am__mv = mv -f
294 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
295 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
296 AM_V_CC = $(am__v_CC_@AM_V@)
297 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
298 am__v_CC_0 = @echo " CC " $@;
299 am__v_CC_1 =
300 CCLD = $(CC)
301 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
302 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
303 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
304 am__v_CCLD_0 = @echo " CCLD " $@;
305 am__v_CCLD_1 =
306 SOURCES = $(igen_libigen_a_SOURCES) $(igen_filter_SOURCES) \
307 $(igen_gen_SOURCES) $(igen_igen_SOURCES) \
308 $(igen_ld_cache_SOURCES) $(igen_ld_decode_SOURCES) \
309 $(igen_ld_insn_SOURCES) $(igen_table_SOURCES) \
310 testsuite/common/alu-tst.c testsuite/common/bits-gen.c \
311 testsuite/common/bits32m0.c testsuite/common/bits32m31.c \
312 testsuite/common/bits64m0.c testsuite/common/bits64m63.c \
313 testsuite/common/fpu-tst.c
314 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
315 ctags-recursive dvi-recursive html-recursive info-recursive \
316 install-data-recursive install-dvi-recursive \
317 install-exec-recursive install-html-recursive \
318 install-info-recursive install-pdf-recursive \
319 install-ps-recursive install-recursive installcheck-recursive \
320 installdirs-recursive pdf-recursive ps-recursive \
321 tags-recursive uninstall-recursive
322 am__can_run_installinfo = \
323 case $$AM_UPDATE_INFO_DIR in \
324 n|no|NO) false;; \
325 *) (install-info --version) >/dev/null 2>&1;; \
326 esac
327 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
328 distclean-recursive maintainer-clean-recursive
329 am__recursive_targets = \
330 $(RECURSIVE_TARGETS) \
331 $(RECURSIVE_CLEAN_TARGETS) \
332 $(am__extra_recursive_targets)
333 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
334 cscope check recheck
335 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
336 # Read a list of newline-separated strings from the standard input,
337 # and print each of them once, without duplicates. Input order is
338 # *not* preserved.
339 am__uniquify_input = $(AWK) '\
340 BEGIN { nonempty = 0; } \
341 { items[$$0] = 1; nonempty = 1; } \
342 END { if (nonempty) { for (i in items) print i; }; } \
343 '
344 # Make sure the list of sources is unique. This is necessary because,
345 # e.g., the same source file might be shared among _SOURCES variables
346 # for different programs/libraries.
347 am__define_uniq_tagged_files = \
348 list='$(am__tagged_files)'; \
349 unique=`for i in $$list; do \
350 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
351 done | $(am__uniquify_input)`
352 ETAGS = etags
353 CTAGS = ctags
354 CSCOPE = cscope
355 DEJATOOL = $(PACKAGE)
356 RUNTESTDEFAULTFLAGS = --tool $$tool --srcdir $$srcdir
357 EXPECT = expect
358 RUNTEST = runtest
359 am__tty_colors_dummy = \
360 mgn= red= grn= lgn= blu= brg= std=; \
361 am__color_tests=no
362 am__tty_colors = { \
363 $(am__tty_colors_dummy); \
364 if test "X$(AM_COLOR_TESTS)" = Xno; then \
365 am__color_tests=no; \
366 elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
367 am__color_tests=yes; \
368 elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
369 am__color_tests=yes; \
370 fi; \
371 if test $$am__color_tests = yes; then \
372 red='\e[0;31m'; \
373 grn='\e[0;32m'; \
374 lgn='\e[1;32m'; \
375 blu='\e[1;34m'; \
376 mgn='\e[0;35m'; \
377 brg='\e[1m'; \
378 std='\e[m'; \
379 fi; \
380 }
381 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
382 am__vpath_adj = case $$p in \
383 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
384 *) f=$$p;; \
385 esac;
386 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
387 am__install_max = 40
388 am__nobase_strip_setup = \
389 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
390 am__nobase_strip = \
391 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
392 am__nobase_list = $(am__nobase_strip_setup); \
393 for p in $$list; do echo "$$p $$p"; done | \
394 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
395 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
396 if (++n[$$2] == $(am__install_max)) \
397 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
398 END { for (dir in files) print dir, files[dir] }'
399 am__base_list = \
400 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
401 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
402 am__uninstall_files_from_dir = { \
403 test -z "$$files" \
404 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
405 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
406 $(am__cd) "$$dir" && rm -f $$files; }; \
407 }
408 am__recheck_rx = ^[ ]*:recheck:[ ]*
409 am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
410 am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
411 # A command that, given a newline-separated list of test names on the
412 # standard input, print the name of the tests that are to be re-run
413 # upon "make recheck".
414 am__list_recheck_tests = $(AWK) '{ \
415 recheck = 1; \
416 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
417 { \
418 if (rc < 0) \
419 { \
420 if ((getline line2 < ($$0 ".log")) < 0) \
421 recheck = 0; \
422 break; \
423 } \
424 else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
425 { \
426 recheck = 0; \
427 break; \
428 } \
429 else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
430 { \
431 break; \
432 } \
433 }; \
434 if (recheck) \
435 print $$0; \
436 close ($$0 ".trs"); \
437 close ($$0 ".log"); \
438 }'
439 # A command that, given a newline-separated list of test names on the
440 # standard input, create the global log from their .trs and .log files.
441 am__create_global_log = $(AWK) ' \
442 function fatal(msg) \
443 { \
444 print "fatal: making $@: " msg | "cat >&2"; \
445 exit 1; \
446 } \
447 function rst_section(header) \
448 { \
449 print header; \
450 len = length(header); \
451 for (i = 1; i <= len; i = i + 1) \
452 printf "="; \
453 printf "\n\n"; \
454 } \
455 { \
456 copy_in_global_log = 1; \
457 global_test_result = "RUN"; \
458 while ((rc = (getline line < ($$0 ".trs"))) != 0) \
459 { \
460 if (rc < 0) \
461 fatal("failed to read from " $$0 ".trs"); \
462 if (line ~ /$(am__global_test_result_rx)/) \
463 { \
464 sub("$(am__global_test_result_rx)", "", line); \
465 sub("[ ]*$$", "", line); \
466 global_test_result = line; \
467 } \
468 else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
469 copy_in_global_log = 0; \
470 }; \
471 if (copy_in_global_log) \
472 { \
473 rst_section(global_test_result ": " $$0); \
474 while ((rc = (getline line < ($$0 ".log"))) != 0) \
475 { \
476 if (rc < 0) \
477 fatal("failed to read from " $$0 ".log"); \
478 print line; \
479 }; \
480 printf "\n"; \
481 }; \
482 close ($$0 ".trs"); \
483 close ($$0 ".log"); \
484 }'
485 # Restructured Text title.
486 am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
487 # Solaris 10 'make', and several other traditional 'make' implementations,
488 # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
489 # by disabling -e (using the XSI extension "set +e") if it's set.
490 am__sh_e_setup = case $$- in *e*) set +e;; esac
491 # Default flags passed to test drivers.
492 am__common_driver_flags = \
493 --color-tests "$$am__color_tests" \
494 --enable-hard-errors "$$am__enable_hard_errors" \
495 --expect-failure "$$am__expect_failure"
496 # To be inserted before the command running the test. Creates the
497 # directory for the log if needed. Stores in $dir the directory
498 # containing $f, in $tst the test, in $log the log. Executes the
499 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
500 # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
501 # will run the test scripts (or their associated LOG_COMPILER, if
502 # thy have one).
503 am__check_pre = \
504 $(am__sh_e_setup); \
505 $(am__vpath_adj_setup) $(am__vpath_adj) \
506 $(am__tty_colors); \
507 srcdir=$(srcdir); export srcdir; \
508 case "$@" in \
509 */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
510 *) am__odir=.;; \
511 esac; \
512 test "x$$am__odir" = x"." || test -d "$$am__odir" \
513 || $(MKDIR_P) "$$am__odir" || exit $$?; \
514 if test -f "./$$f"; then dir=./; \
515 elif test -f "$$f"; then dir=; \
516 else dir="$(srcdir)/"; fi; \
517 tst=$$dir$$f; log='$@'; \
518 if test -n '$(DISABLE_HARD_ERRORS)'; then \
519 am__enable_hard_errors=no; \
520 else \
521 am__enable_hard_errors=yes; \
522 fi; \
523 case " $(XFAIL_TESTS) " in \
524 *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
525 am__expect_failure=yes;; \
526 *) \
527 am__expect_failure=no;; \
528 esac; \
529 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
530 # A shell command to get the names of the tests scripts with any registered
531 # extension removed (i.e., equivalently, the names of the test logs, with
532 # the '.log' extension removed). The result is saved in the shell variable
533 # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
534 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
535 # since that might cause problem with VPATH rewrites for suffix-less tests.
536 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
537 am__set_TESTS_bases = \
538 bases='$(TEST_LOGS)'; \
539 bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
540 bases=`echo $$bases`
541 RECHECK_LOGS = $(TEST_LOGS)
542 TEST_SUITE_LOG = test-suite.log
543 TEST_EXTENSIONS = @EXEEXT@ .test
544 LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
545 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
546 am__set_b = \
547 case '$@' in \
548 */*) \
549 case '$*' in \
550 */*) b='$*';; \
551 *) b=`echo '$@' | sed 's/\.log$$//'`; \
552 esac;; \
553 *) \
554 b='$*';; \
555 esac
556 am__test_logs1 = $(TESTS:=.log)
557 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
558 TEST_LOGS = $(am__test_logs2:.test.log=.log)
559 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/../test-driver
560 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
561 $(TEST_LOG_FLAGS)
562 DIST_SUBDIRS = $(SUBDIRS)
563 ACLOCAL = @ACLOCAL@
564 AMTAR = @AMTAR@
565 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
566 AR = @AR@
567 AR_FOR_BUILD = @AR_FOR_BUILD@
568 AUTOCONF = @AUTOCONF@
569 AUTOHEADER = @AUTOHEADER@
570 AUTOMAKE = @AUTOMAKE@
571 AWK = @AWK@
572 CC = @CC@
573 CCDEPMODE = @CCDEPMODE@
574 CC_FOR_BUILD = @CC_FOR_BUILD@
575 CFLAGS = @CFLAGS@
576 CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
577 CPP = @CPP@
578 CPPFLAGS = @CPPFLAGS@
579 CYGPATH_W = @CYGPATH_W@
580 C_DIALECT = @C_DIALECT@
581 DEFS = @DEFS@
582 DEPDIR = @DEPDIR@
583 ECHO_C = @ECHO_C@
584 ECHO_N = @ECHO_N@
585 ECHO_T = @ECHO_T@
586 EGREP = @EGREP@
587 EXEEXT = @EXEEXT@
588 GREP = @GREP@
589 INSTALL = @INSTALL@
590 INSTALL_DATA = @INSTALL_DATA@
591 INSTALL_PROGRAM = @INSTALL_PROGRAM@
592 INSTALL_SCRIPT = @INSTALL_SCRIPT@
593 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
594 LDFLAGS = @LDFLAGS@
595 LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
596 LIBOBJS = @LIBOBJS@
597 LIBS = @LIBS@
598 LTLIBOBJS = @LTLIBOBJS@
599 MAINT = @MAINT@
600 MAKEINFO = @MAKEINFO@
601 MKDIR_P = @MKDIR_P@
602 OBJEXT = @OBJEXT@
603 PACKAGE = @PACKAGE@
604 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
605 PACKAGE_NAME = @PACKAGE_NAME@
606 PACKAGE_STRING = @PACKAGE_STRING@
607 PACKAGE_TARNAME = @PACKAGE_TARNAME@
608 PACKAGE_URL = @PACKAGE_URL@
609 PACKAGE_VERSION = @PACKAGE_VERSION@
610 PATH_SEPARATOR = @PATH_SEPARATOR@
611 RANLIB = @RANLIB@
612 RANLIB_FOR_BUILD = @RANLIB_FOR_BUILD@
613 SET_MAKE = @SET_MAKE@
614 SHELL = @SHELL@
615 SIM_PRIMARY_TARGET = @SIM_PRIMARY_TARGET@
616 STRIP = @STRIP@
617 VERSION = @VERSION@
618 abs_builddir = @abs_builddir@
619 abs_srcdir = @abs_srcdir@
620 abs_top_builddir = @abs_top_builddir@
621 abs_top_srcdir = @abs_top_srcdir@
622 ac_ct_CC = @ac_ct_CC@
623 am__include = @am__include@
624 am__leading_dot = @am__leading_dot@
625 am__quote = @am__quote@
626 am__tar = @am__tar@
627 am__untar = @am__untar@
628 bindir = @bindir@
629 build = @build@
630 build_alias = @build_alias@
631 build_cpu = @build_cpu@
632 build_os = @build_os@
633 build_vendor = @build_vendor@
634 builddir = @builddir@
635 datadir = @datadir@
636 datarootdir = @datarootdir@
637 docdir = @docdir@
638 dvidir = @dvidir@
639 exec_prefix = @exec_prefix@
640 host = @host@
641 host_alias = @host_alias@
642 host_cpu = @host_cpu@
643 host_os = @host_os@
644 host_vendor = @host_vendor@
645 htmldir = @htmldir@
646 includedir = @includedir@
647 infodir = @infodir@
648 install_sh = @install_sh@
649 libdir = @libdir@
650 libexecdir = @libexecdir@
651 localedir = @localedir@
652 localstatedir = @localstatedir@
653 mandir = @mandir@
654 mkdir_p = @mkdir_p@
655 oldincludedir = @oldincludedir@
656 pdfdir = @pdfdir@
657 prefix = @prefix@
658 program_transform_name = @program_transform_name@
659 psdir = @psdir@
660 sbindir = @sbindir@
661 sharedstatedir = @sharedstatedir@
662 srcdir = @srcdir@
663 subdirs = @subdirs@
664 sysconfdir = @sysconfdir@
665 target = @target@
666 target_alias = @target_alias@
667 target_cpu = @target_cpu@
668 target_os = @target_os@
669 target_vendor = @target_vendor@
670 top_build_prefix = @top_build_prefix@
671 top_builddir = @top_builddir@
672 top_srcdir = @top_srcdir@
673 AUTOMAKE_OPTIONS = dejagnu foreign no-dist subdir-objects
674 ACLOCAL_AMFLAGS = -Im4 -I.. -I../config
675 srcroot = $(srcdir)/..
676 SUBDIRS = @subdirs@
677 AM_MAKEFLAGS = SIM_PRIMARY_TARGET=$(SIM_PRIMARY_TARGET)
678 noinst_LIBRARIES = $(am__append_1)
679 CLEANFILES = testsuite/common/bits-gen testsuite/common/bits32m0.c \
680 testsuite/common/bits32m31.c testsuite/common/bits64m0.c \
681 testsuite/common/bits64m63.c
682 DISTCLEANFILES =
683 MOSTLYCLEANFILES = core $(am__append_3) site-srcdir.exp testrun.log \
684 testrun.sum
685 AM_CPPFLAGS = -I$(srcroot)/include
686 COMPILE_FOR_BUILD = $(CC_FOR_BUILD) $(AM_CPPFLAGS) $(CFLAGS_FOR_BUILD)
687 LINK_FOR_BUILD = $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) -o $@
688 @SIM_ENABLE_IGEN_TRUE@igen_libigen_a_SOURCES = \
689 @SIM_ENABLE_IGEN_TRUE@ igen/table.c \
690 @SIM_ENABLE_IGEN_TRUE@ igen/lf.c \
691 @SIM_ENABLE_IGEN_TRUE@ igen/misc.c \
692 @SIM_ENABLE_IGEN_TRUE@ igen/filter_host.c \
693 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode.c \
694 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache.c \
695 @SIM_ENABLE_IGEN_TRUE@ igen/filter.c \
696 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn.c \
697 @SIM_ENABLE_IGEN_TRUE@ igen/gen-model.c \
698 @SIM_ENABLE_IGEN_TRUE@ igen/gen-itable.c \
699 @SIM_ENABLE_IGEN_TRUE@ igen/gen-icache.c \
700 @SIM_ENABLE_IGEN_TRUE@ igen/gen-semantics.c \
701 @SIM_ENABLE_IGEN_TRUE@ igen/gen-idecode.c \
702 @SIM_ENABLE_IGEN_TRUE@ igen/gen-support.c \
703 @SIM_ENABLE_IGEN_TRUE@ igen/gen-engine.c \
704 @SIM_ENABLE_IGEN_TRUE@ igen/gen.c
705
706 @SIM_ENABLE_IGEN_TRUE@igen_igen_SOURCES = igen/igen.c
707 @SIM_ENABLE_IGEN_TRUE@igen_igen_LDADD = igen/libigen.a
708 @SIM_ENABLE_IGEN_TRUE@igen_filter_SOURCES =
709 @SIM_ENABLE_IGEN_TRUE@igen_filter_LDADD = igen/filter-main.o igen/libigen.a
710 @SIM_ENABLE_IGEN_TRUE@igen_gen_SOURCES =
711 @SIM_ENABLE_IGEN_TRUE@igen_gen_LDADD = igen/gen-main.o igen/libigen.a
712 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_SOURCES =
713 @SIM_ENABLE_IGEN_TRUE@igen_ld_cache_LDADD = igen/ld-cache-main.o igen/libigen.a
714 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_SOURCES =
715 @SIM_ENABLE_IGEN_TRUE@igen_ld_decode_LDADD = igen/ld-decode-main.o igen/libigen.a
716 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_SOURCES =
717 @SIM_ENABLE_IGEN_TRUE@igen_ld_insn_LDADD = igen/ld-insn-main.o igen/libigen.a
718 @SIM_ENABLE_IGEN_TRUE@igen_table_SOURCES =
719 @SIM_ENABLE_IGEN_TRUE@igen_table_LDADD = igen/table-main.o igen/libigen.a
720 @SIM_ENABLE_IGEN_TRUE@igen_IGEN_TOOLS = \
721 @SIM_ENABLE_IGEN_TRUE@ igen/igen \
722 @SIM_ENABLE_IGEN_TRUE@ igen/filter \
723 @SIM_ENABLE_IGEN_TRUE@ igen/gen \
724 @SIM_ENABLE_IGEN_TRUE@ igen/ld-cache \
725 @SIM_ENABLE_IGEN_TRUE@ igen/ld-decode \
726 @SIM_ENABLE_IGEN_TRUE@ igen/ld-insn \
727 @SIM_ENABLE_IGEN_TRUE@ igen/table
728
729
730 # Tweak the site.exp so it works with plain `runtest` from user.
731 EXTRA_DEJAGNU_SITE_CONFIG = site-srcdir.exp
732 testsuite_common_CPPFLAGS = \
733 -I$(srcdir)/common \
734 -I$(srcroot)/include
735
736 all: all-recursive
737
738 .SUFFIXES:
739 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
740 am--refresh: Makefile
741 @:
742 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__configure_deps)
743 @for dep in $?; do \
744 case '$(am__configure_deps)' in \
745 *$$dep*) \
746 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
747 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
748 && exit 0; \
749 exit 1;; \
750 esac; \
751 done; \
752 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
753 $(am__cd) $(top_srcdir) && \
754 $(AUTOMAKE) --foreign Makefile
755 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
756 @case '$?' in \
757 *config.status*) \
758 echo ' $(SHELL) ./config.status'; \
759 $(SHELL) ./config.status;; \
760 *) \
761 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
762 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
763 esac;
764 $(srcdir)/igen/local.mk $(srcdir)/testsuite/local.mk $(srcdir)/testsuite/common/local.mk $(am__empty):
765
766 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
767 $(SHELL) ./config.status --recheck
768
769 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
770 $(am__cd) $(srcdir) && $(AUTOCONF)
771 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
772 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
773 $(am__aclocal_m4_deps):
774
775 clean-noinstLIBRARIES:
776 -test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
777 igen/$(am__dirstamp):
778 @$(MKDIR_P) igen
779 @: > igen/$(am__dirstamp)
780 igen/$(DEPDIR)/$(am__dirstamp):
781 @$(MKDIR_P) igen/$(DEPDIR)
782 @: > igen/$(DEPDIR)/$(am__dirstamp)
783 igen/table.$(OBJEXT): igen/$(am__dirstamp) \
784 igen/$(DEPDIR)/$(am__dirstamp)
785 igen/lf.$(OBJEXT): igen/$(am__dirstamp) igen/$(DEPDIR)/$(am__dirstamp)
786 igen/misc.$(OBJEXT): igen/$(am__dirstamp) \
787 igen/$(DEPDIR)/$(am__dirstamp)
788 igen/filter_host.$(OBJEXT): igen/$(am__dirstamp) \
789 igen/$(DEPDIR)/$(am__dirstamp)
790 igen/ld-decode.$(OBJEXT): igen/$(am__dirstamp) \
791 igen/$(DEPDIR)/$(am__dirstamp)
792 igen/ld-cache.$(OBJEXT): igen/$(am__dirstamp) \
793 igen/$(DEPDIR)/$(am__dirstamp)
794 igen/filter.$(OBJEXT): igen/$(am__dirstamp) \
795 igen/$(DEPDIR)/$(am__dirstamp)
796 igen/ld-insn.$(OBJEXT): igen/$(am__dirstamp) \
797 igen/$(DEPDIR)/$(am__dirstamp)
798 igen/gen-model.$(OBJEXT): igen/$(am__dirstamp) \
799 igen/$(DEPDIR)/$(am__dirstamp)
800 igen/gen-itable.$(OBJEXT): igen/$(am__dirstamp) \
801 igen/$(DEPDIR)/$(am__dirstamp)
802 igen/gen-icache.$(OBJEXT): igen/$(am__dirstamp) \
803 igen/$(DEPDIR)/$(am__dirstamp)
804 igen/gen-semantics.$(OBJEXT): igen/$(am__dirstamp) \
805 igen/$(DEPDIR)/$(am__dirstamp)
806 igen/gen-idecode.$(OBJEXT): igen/$(am__dirstamp) \
807 igen/$(DEPDIR)/$(am__dirstamp)
808 igen/gen-support.$(OBJEXT): igen/$(am__dirstamp) \
809 igen/$(DEPDIR)/$(am__dirstamp)
810 igen/gen-engine.$(OBJEXT): igen/$(am__dirstamp) \
811 igen/$(DEPDIR)/$(am__dirstamp)
812 igen/gen.$(OBJEXT): igen/$(am__dirstamp) \
813 igen/$(DEPDIR)/$(am__dirstamp)
814
815 @SIM_ENABLE_IGEN_FALSE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
816 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)-rm -f igen/libigen.a
817 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_AR)$(igen_libigen_a_AR) igen/libigen.a $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
818 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_at)$(RANLIB) igen/libigen.a
819
820 clean-checkPROGRAMS:
821 -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
822
823 igen/filter$(EXEEXT): $(igen_filter_OBJECTS) $(igen_filter_DEPENDENCIES) $(EXTRA_igen_filter_DEPENDENCIES) igen/$(am__dirstamp)
824 @rm -f igen/filter$(EXEEXT)
825 $(AM_V_CCLD)$(LINK) $(igen_filter_OBJECTS) $(igen_filter_LDADD) $(LIBS)
826
827 igen/gen$(EXEEXT): $(igen_gen_OBJECTS) $(igen_gen_DEPENDENCIES) $(EXTRA_igen_gen_DEPENDENCIES) igen/$(am__dirstamp)
828 @rm -f igen/gen$(EXEEXT)
829 $(AM_V_CCLD)$(LINK) $(igen_gen_OBJECTS) $(igen_gen_LDADD) $(LIBS)
830 igen/igen.$(OBJEXT): igen/$(am__dirstamp) \
831 igen/$(DEPDIR)/$(am__dirstamp)
832
833 @SIM_ENABLE_IGEN_FALSE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) $(EXTRA_igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
834 @SIM_ENABLE_IGEN_FALSE@ @rm -f igen/igen$(EXEEXT)
835 @SIM_ENABLE_IGEN_FALSE@ $(AM_V_CCLD)$(LINK) $(igen_igen_OBJECTS) $(igen_igen_LDADD) $(LIBS)
836
837 igen/ld-cache$(EXEEXT): $(igen_ld_cache_OBJECTS) $(igen_ld_cache_DEPENDENCIES) $(EXTRA_igen_ld_cache_DEPENDENCIES) igen/$(am__dirstamp)
838 @rm -f igen/ld-cache$(EXEEXT)
839 $(AM_V_CCLD)$(LINK) $(igen_ld_cache_OBJECTS) $(igen_ld_cache_LDADD) $(LIBS)
840
841 igen/ld-decode$(EXEEXT): $(igen_ld_decode_OBJECTS) $(igen_ld_decode_DEPENDENCIES) $(EXTRA_igen_ld_decode_DEPENDENCIES) igen/$(am__dirstamp)
842 @rm -f igen/ld-decode$(EXEEXT)
843 $(AM_V_CCLD)$(LINK) $(igen_ld_decode_OBJECTS) $(igen_ld_decode_LDADD) $(LIBS)
844
845 igen/ld-insn$(EXEEXT): $(igen_ld_insn_OBJECTS) $(igen_ld_insn_DEPENDENCIES) $(EXTRA_igen_ld_insn_DEPENDENCIES) igen/$(am__dirstamp)
846 @rm -f igen/ld-insn$(EXEEXT)
847 $(AM_V_CCLD)$(LINK) $(igen_ld_insn_OBJECTS) $(igen_ld_insn_LDADD) $(LIBS)
848
849 igen/table$(EXEEXT): $(igen_table_OBJECTS) $(igen_table_DEPENDENCIES) $(EXTRA_igen_table_DEPENDENCIES) igen/$(am__dirstamp)
850 @rm -f igen/table$(EXEEXT)
851 $(AM_V_CCLD)$(LINK) $(igen_table_OBJECTS) $(igen_table_LDADD) $(LIBS)
852 testsuite/common/$(am__dirstamp):
853 @$(MKDIR_P) testsuite/common
854 @: > testsuite/common/$(am__dirstamp)
855 testsuite/common/$(DEPDIR)/$(am__dirstamp):
856 @$(MKDIR_P) testsuite/common/$(DEPDIR)
857 @: > testsuite/common/$(DEPDIR)/$(am__dirstamp)
858 testsuite/common/alu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
859 testsuite/common/$(DEPDIR)/$(am__dirstamp)
860 testsuite/common/bits-gen.$(OBJEXT): testsuite/common/$(am__dirstamp) \
861 testsuite/common/$(DEPDIR)/$(am__dirstamp)
862 testsuite/common/bits32m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
863 testsuite/common/$(DEPDIR)/$(am__dirstamp)
864 testsuite/common/bits32m31.$(OBJEXT): \
865 testsuite/common/$(am__dirstamp) \
866 testsuite/common/$(DEPDIR)/$(am__dirstamp)
867 testsuite/common/bits64m0.$(OBJEXT): testsuite/common/$(am__dirstamp) \
868 testsuite/common/$(DEPDIR)/$(am__dirstamp)
869 testsuite/common/bits64m63.$(OBJEXT): \
870 testsuite/common/$(am__dirstamp) \
871 testsuite/common/$(DEPDIR)/$(am__dirstamp)
872 testsuite/common/fpu-tst.$(OBJEXT): testsuite/common/$(am__dirstamp) \
873 testsuite/common/$(DEPDIR)/$(am__dirstamp)
874
875 mostlyclean-compile:
876 -rm -f *.$(OBJEXT)
877 -rm -f igen/*.$(OBJEXT)
878 -rm -f testsuite/common/*.$(OBJEXT)
879
880 distclean-compile:
881 -rm -f *.tab.c
882
883 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter.Po@am__quote@
884 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/filter_host.Po@am__quote@
885 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-engine.Po@am__quote@
886 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-icache.Po@am__quote@
887 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-idecode.Po@am__quote@
888 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-itable.Po@am__quote@
889 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-model.Po@am__quote@
890 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-semantics.Po@am__quote@
891 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen-support.Po@am__quote@
892 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/gen.Po@am__quote@
893 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/igen.Po@am__quote@
894 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-cache.Po@am__quote@
895 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-decode.Po@am__quote@
896 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/ld-insn.Po@am__quote@
897 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/lf.Po@am__quote@
898 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/misc.Po@am__quote@
899 @AMDEP_TRUE@@am__include@ @am__quote@igen/$(DEPDIR)/table.Po@am__quote@
900 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/alu-tst.Po@am__quote@
901 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits-gen.Po@am__quote@
902 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m0.Po@am__quote@
903 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits32m31.Po@am__quote@
904 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m0.Po@am__quote@
905 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/bits64m63.Po@am__quote@
906 @AMDEP_TRUE@@am__include@ @am__quote@testsuite/common/$(DEPDIR)/fpu-tst.Po@am__quote@
907
908 .c.o:
909 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
910 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
911 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
912 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
913 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
914 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
915
916 .c.obj:
917 @am__fastdepCC_TRUE@ $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
918 @am__fastdepCC_TRUE@ $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
919 @am__fastdepCC_TRUE@ $(am__mv) $$depbase.Tpo $$depbase.Po
920 @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
921 @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
922 @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
923
924 # This directory's subdirectories are mostly independent; you can cd
925 # into them and run 'make' without going through this Makefile.
926 # To change the values of 'make' variables: instead of editing Makefiles,
927 # (1) if the variable is set in 'config.status', edit 'config.status'
928 # (which will cause the Makefiles to be regenerated when you run 'make');
929 # (2) otherwise, pass the desired values on the 'make' command line.
930 $(am__recursive_targets):
931 @fail=; \
932 if $(am__make_keepgoing); then \
933 failcom='fail=yes'; \
934 else \
935 failcom='exit 1'; \
936 fi; \
937 dot_seen=no; \
938 target=`echo $@ | sed s/-recursive//`; \
939 case "$@" in \
940 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
941 *) list='$(SUBDIRS)' ;; \
942 esac; \
943 for subdir in $$list; do \
944 echo "Making $$target in $$subdir"; \
945 if test "$$subdir" = "."; then \
946 dot_seen=yes; \
947 local_target="$$target-am"; \
948 else \
949 local_target="$$target"; \
950 fi; \
951 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
952 || eval $$failcom; \
953 done; \
954 if test "$$dot_seen" = "no"; then \
955 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
956 fi; test -z "$$fail"
957
958 ID: $(am__tagged_files)
959 $(am__define_uniq_tagged_files); mkid -fID $$unique
960 tags: tags-recursive
961 TAGS: tags
962
963 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
964 set x; \
965 here=`pwd`; \
966 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
967 include_option=--etags-include; \
968 empty_fix=.; \
969 else \
970 include_option=--include; \
971 empty_fix=; \
972 fi; \
973 list='$(SUBDIRS)'; for subdir in $$list; do \
974 if test "$$subdir" = .; then :; else \
975 test ! -f $$subdir/TAGS || \
976 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
977 fi; \
978 done; \
979 $(am__define_uniq_tagged_files); \
980 shift; \
981 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
982 test -n "$$unique" || unique=$$empty_fix; \
983 if test $$# -gt 0; then \
984 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
985 "$$@" $$unique; \
986 else \
987 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
988 $$unique; \
989 fi; \
990 fi
991 ctags: ctags-recursive
992
993 CTAGS: ctags
994 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
995 $(am__define_uniq_tagged_files); \
996 test -z "$(CTAGS_ARGS)$$unique" \
997 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
998 $$unique
999
1000 GTAGS:
1001 here=`$(am__cd) $(top_builddir) && pwd` \
1002 && $(am__cd) $(top_srcdir) \
1003 && gtags -i $(GTAGS_ARGS) "$$here"
1004 cscope: cscope.files
1005 test ! -s cscope.files \
1006 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
1007 clean-cscope:
1008 -rm -f cscope.files
1009 cscope.files: clean-cscope cscopelist
1010 cscopelist: cscopelist-recursive
1011
1012 cscopelist-am: $(am__tagged_files)
1013 list='$(am__tagged_files)'; \
1014 case "$(srcdir)" in \
1015 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1016 *) sdir=$(subdir)/$(srcdir) ;; \
1017 esac; \
1018 for i in $$list; do \
1019 if test -f "$$i"; then \
1020 echo "$(subdir)/$$i"; \
1021 else \
1022 echo "$$sdir/$$i"; \
1023 fi; \
1024 done >> $(top_builddir)/cscope.files
1025
1026 distclean-tags:
1027 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1028 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1029 site.exp: Makefile $(EXTRA_DEJAGNU_SITE_CONFIG)
1030 @echo 'Making a new site.exp file ...'
1031 @echo '## these variables are automatically generated by make ##' >site.tmp
1032 @echo '# Do not edit here. If you wish to override these values' >>site.tmp
1033 @echo '# edit the last section' >>site.tmp
1034 @echo 'set srcdir "$(srcdir)"' >>site.tmp
1035 @echo "set objdir `pwd`" >>site.tmp
1036 @echo 'set build_alias "$(build_alias)"' >>site.tmp
1037 @echo 'set build_triplet $(build_triplet)' >>site.tmp
1038 @echo 'set host_alias "$(host_alias)"' >>site.tmp
1039 @echo 'set host_triplet $(host_triplet)' >>site.tmp
1040 @echo 'set target_alias "$(target_alias)"' >>site.tmp
1041 @echo 'set target_triplet $(target_triplet)' >>site.tmp
1042 @list='$(EXTRA_DEJAGNU_SITE_CONFIG)'; for f in $$list; do \
1043 echo "## Begin content included from file $$f. Do not modify. ##" \
1044 && cat `test -f "$$f" || echo '$(srcdir)/'`$$f \
1045 && echo "## End content included from file $$f. ##" \
1046 || exit 1; \
1047 done >> site.tmp
1048 @echo "## End of auto-generated content; you can edit from here. ##" >> site.tmp
1049 @if test -f site.exp; then \
1050 sed -e '1,/^## End of auto-generated content.*##/d' site.exp >> site.tmp; \
1051 fi
1052 @-rm -f site.bak
1053 @test ! -f site.exp || mv site.exp site.bak
1054 @mv site.tmp site.exp
1055
1056 distclean-DEJAGNU:
1057 -rm -f site.exp site.bak
1058 -l='$(DEJATOOL)'; for tool in $$l; do \
1059 rm -f $$tool.sum $$tool.log; \
1060 done
1061
1062 # Recover from deleted '.trs' file; this should ensure that
1063 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1064 # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
1065 # to avoid problems with "make -n".
1066 .log.trs:
1067 rm -f $< $@
1068 $(MAKE) $(AM_MAKEFLAGS) $<
1069
1070 # Leading 'am--fnord' is there to ensure the list of targets does not
1071 # expand to empty, as could happen e.g. with make check TESTS=''.
1072 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1073 am--force-recheck:
1074 @:
1075
1076 $(TEST_SUITE_LOG): $(TEST_LOGS)
1077 @$(am__set_TESTS_bases); \
1078 am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1079 redo_bases=`for i in $$bases; do \
1080 am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1081 done`; \
1082 if test -n "$$redo_bases"; then \
1083 redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1084 redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1085 if $(am__make_dryrun); then :; else \
1086 rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1087 fi; \
1088 fi; \
1089 if test -n "$$am__remaking_logs"; then \
1090 echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1091 "recursion detected" >&2; \
1092 elif test -n "$$redo_logs"; then \
1093 am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1094 fi; \
1095 if $(am__make_dryrun); then :; else \
1096 st=0; \
1097 errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1098 for i in $$redo_bases; do \
1099 test -f $$i.trs && test -r $$i.trs \
1100 || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1101 test -f $$i.log && test -r $$i.log \
1102 || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1103 done; \
1104 test $$st -eq 0 || exit 1; \
1105 fi
1106 @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1107 ws='[ ]'; \
1108 results=`for b in $$bases; do echo $$b.trs; done`; \
1109 test -n "$$results" || results=/dev/null; \
1110 all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
1111 pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
1112 fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
1113 skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
1114 xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1115 xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1116 error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1117 if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1118 success=true; \
1119 else \
1120 success=false; \
1121 fi; \
1122 br='==================='; br=$$br$$br$$br$$br; \
1123 result_count () \
1124 { \
1125 if test x"$$1" = x"--maybe-color"; then \
1126 maybe_colorize=yes; \
1127 elif test x"$$1" = x"--no-color"; then \
1128 maybe_colorize=no; \
1129 else \
1130 echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1131 fi; \
1132 shift; \
1133 desc=$$1 count=$$2; \
1134 if test $$maybe_colorize = yes && test $$count -gt 0; then \
1135 color_start=$$3 color_end=$$std; \
1136 else \
1137 color_start= color_end=; \
1138 fi; \
1139 echo "$${color_start}# $$desc $$count$${color_end}"; \
1140 }; \
1141 create_testsuite_report () \
1142 { \
1143 result_count $$1 "TOTAL:" $$all "$$brg"; \
1144 result_count $$1 "PASS: " $$pass "$$grn"; \
1145 result_count $$1 "SKIP: " $$skip "$$blu"; \
1146 result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1147 result_count $$1 "FAIL: " $$fail "$$red"; \
1148 result_count $$1 "XPASS:" $$xpass "$$red"; \
1149 result_count $$1 "ERROR:" $$error "$$mgn"; \
1150 }; \
1151 { \
1152 echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
1153 $(am__rst_title); \
1154 create_testsuite_report --no-color; \
1155 echo; \
1156 echo ".. contents:: :depth: 2"; \
1157 echo; \
1158 for b in $$bases; do echo $$b; done \
1159 | $(am__create_global_log); \
1160 } >$(TEST_SUITE_LOG).tmp || exit 1; \
1161 mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
1162 if $$success; then \
1163 col="$$grn"; \
1164 else \
1165 col="$$red"; \
1166 test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
1167 fi; \
1168 echo "$${col}$$br$${std}"; \
1169 echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
1170 echo "$${col}$$br$${std}"; \
1171 create_testsuite_report --maybe-color; \
1172 echo "$$col$$br$$std"; \
1173 if $$success; then :; else \
1174 echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
1175 if test -n "$(PACKAGE_BUGREPORT)"; then \
1176 echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1177 fi; \
1178 echo "$$col$$br$$std"; \
1179 fi; \
1180 $$success || exit 1
1181
1182 check-TESTS:
1183 @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
1184 @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1185 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1186 @set +e; $(am__set_TESTS_bases); \
1187 log_list=`for i in $$bases; do echo $$i.log; done`; \
1188 trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1189 log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1190 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1191 exit $$?;
1192 recheck: all $(check_PROGRAMS)
1193 @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1194 @set +e; $(am__set_TESTS_bases); \
1195 bases=`for i in $$bases; do echo $$i; done \
1196 | $(am__list_recheck_tests)` || exit 1; \
1197 log_list=`for i in $$bases; do echo $$i.log; done`; \
1198 log_list=`echo $$log_list`; \
1199 $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1200 am__force_recheck=am--force-recheck \
1201 TEST_LOGS="$$log_list"; \
1202 exit $$?
1203 testsuite/common/bits32m0.log: testsuite/common/bits32m0$(EXEEXT)
1204 @p='testsuite/common/bits32m0$(EXEEXT)'; \
1205 b='testsuite/common/bits32m0'; \
1206 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1207 --log-file $$b.log --trs-file $$b.trs \
1208 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1209 "$$tst" $(AM_TESTS_FD_REDIRECT)
1210 testsuite/common/bits32m31.log: testsuite/common/bits32m31$(EXEEXT)
1211 @p='testsuite/common/bits32m31$(EXEEXT)'; \
1212 b='testsuite/common/bits32m31'; \
1213 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1214 --log-file $$b.log --trs-file $$b.trs \
1215 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1216 "$$tst" $(AM_TESTS_FD_REDIRECT)
1217 testsuite/common/bits64m0.log: testsuite/common/bits64m0$(EXEEXT)
1218 @p='testsuite/common/bits64m0$(EXEEXT)'; \
1219 b='testsuite/common/bits64m0'; \
1220 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1221 --log-file $$b.log --trs-file $$b.trs \
1222 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1223 "$$tst" $(AM_TESTS_FD_REDIRECT)
1224 testsuite/common/bits64m63.log: testsuite/common/bits64m63$(EXEEXT)
1225 @p='testsuite/common/bits64m63$(EXEEXT)'; \
1226 b='testsuite/common/bits64m63'; \
1227 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1228 --log-file $$b.log --trs-file $$b.trs \
1229 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1230 "$$tst" $(AM_TESTS_FD_REDIRECT)
1231 testsuite/common/alu-tst.log: testsuite/common/alu-tst$(EXEEXT)
1232 @p='testsuite/common/alu-tst$(EXEEXT)'; \
1233 b='testsuite/common/alu-tst'; \
1234 $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1235 --log-file $$b.log --trs-file $$b.trs \
1236 $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1237 "$$tst" $(AM_TESTS_FD_REDIRECT)
1238 .test.log:
1239 @p='$<'; \
1240 $(am__set_b); \
1241 $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1242 --log-file $$b.log --trs-file $$b.trs \
1243 $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1244 "$$tst" $(AM_TESTS_FD_REDIRECT)
1245 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
1246 @am__EXEEXT_TRUE@ @p='$<'; \
1247 @am__EXEEXT_TRUE@ $(am__set_b); \
1248 @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1249 @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
1250 @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1251 @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
1252 check-am: all-am
1253 $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1254 $(MAKE) $(AM_MAKEFLAGS) check-DEJAGNU check-TESTS
1255 check: check-recursive
1256 all-am: Makefile $(LIBRARIES)
1257 installdirs: installdirs-recursive
1258 installdirs-am:
1259 install: install-recursive
1260 install-exec: install-exec-recursive
1261 install-data: install-data-recursive
1262 uninstall: uninstall-recursive
1263
1264 install-am: all-am
1265 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1266
1267 installcheck: installcheck-recursive
1268 install-strip:
1269 if test -z '$(STRIP)'; then \
1270 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1271 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1272 install; \
1273 else \
1274 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1275 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1276 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1277 fi
1278 mostlyclean-generic:
1279 -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
1280 -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1281 -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1282 -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1283
1284 clean-generic:
1285 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1286
1287 distclean-generic:
1288 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1289 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1290 -rm -f igen/$(DEPDIR)/$(am__dirstamp)
1291 -rm -f igen/$(am__dirstamp)
1292 -rm -f testsuite/common/$(DEPDIR)/$(am__dirstamp)
1293 -rm -f testsuite/common/$(am__dirstamp)
1294 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
1295
1296 maintainer-clean-generic:
1297 @echo "This command is intended for maintainers to use"
1298 @echo "it deletes files that may require special tools to rebuild."
1299 clean: clean-recursive
1300
1301 clean-am: clean-checkPROGRAMS clean-generic clean-noinstLIBRARIES \
1302 mostlyclean-am
1303
1304 distclean: distclean-recursive
1305 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1306 -rm -rf igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1307 -rm -f Makefile
1308 distclean-am: clean-am distclean-DEJAGNU distclean-compile \
1309 distclean-generic distclean-tags
1310
1311 dvi: dvi-recursive
1312
1313 dvi-am:
1314
1315 html: html-recursive
1316
1317 html-am:
1318
1319 info: info-recursive
1320
1321 info-am:
1322
1323 install-data-am:
1324
1325 install-dvi: install-dvi-recursive
1326
1327 install-dvi-am:
1328
1329 install-exec-am:
1330
1331 install-html: install-html-recursive
1332
1333 install-html-am:
1334
1335 install-info: install-info-recursive
1336
1337 install-info-am:
1338
1339 install-man:
1340
1341 install-pdf: install-pdf-recursive
1342
1343 install-pdf-am:
1344
1345 install-ps: install-ps-recursive
1346
1347 install-ps-am:
1348
1349 installcheck-am:
1350
1351 maintainer-clean: maintainer-clean-recursive
1352 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
1353 -rm -rf $(top_srcdir)/autom4te.cache
1354 -rm -rf igen/$(DEPDIR) testsuite/common/$(DEPDIR)
1355 -rm -f Makefile
1356 maintainer-clean-am: distclean-am maintainer-clean-generic
1357
1358 mostlyclean: mostlyclean-recursive
1359
1360 mostlyclean-am: mostlyclean-compile mostlyclean-generic
1361
1362 pdf: pdf-recursive
1363
1364 pdf-am:
1365
1366 ps: ps-recursive
1367
1368 ps-am:
1369
1370 uninstall-am:
1371
1372 .MAKE: $(am__recursive_targets) check-am install-am install-strip
1373
1374 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1375 am--refresh check check-DEJAGNU check-TESTS check-am clean \
1376 clean-checkPROGRAMS clean-cscope clean-generic \
1377 clean-noinstLIBRARIES cscope cscopelist-am ctags ctags-am \
1378 distclean distclean-DEJAGNU distclean-compile \
1379 distclean-generic distclean-tags dvi dvi-am html html-am info \
1380 info-am install install-am install-data install-data-am \
1381 install-dvi install-dvi-am install-exec install-exec-am \
1382 install-html install-html-am install-info install-info-am \
1383 install-man install-pdf install-pdf-am install-ps \
1384 install-ps-am install-strip installcheck installcheck-am \
1385 installdirs installdirs-am maintainer-clean \
1386 maintainer-clean-generic mostlyclean mostlyclean-compile \
1387 mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
1388 uninstall uninstall-am
1389
1390 .PRECIOUS: Makefile
1391
1392
1393 # Generate nltvals.def for newlib/libgloss using devo and build tree.
1394 # This file is shipped with distributions so we build in the source dir.
1395 # Use `make nltvals' to rebuild.
1396 # Note: If gdb releases begin to contain target header files (not a good idea,
1397 # but if they did ...), nltvals.def coud be generated at build time.
1398 # An alternative is to slurp in the tables at runtime.
1399 .PHONY: nltvals
1400 nltvals:
1401 $(abs_srcdir)/common/gennltvals.py --cpp "$(CPP)" --output nltvals.def --srcroot $(srcroot)
1402 $(SHELL) $(srcroot)/move-if-change nltvals.def $(abs_srcdir)/common/nltvals.def
1403
1404 # This makes sure igen is available before building the arch-subdirs which
1405 # need to run the igen tool.
1406 @SIM_ENABLE_IGEN_TRUE@all-recursive: igen/igen$(EXEEXT)
1407
1408 # Alias for developers.
1409 @SIM_ENABLE_IGEN_TRUE@igen: igen/igen$(EXEEXT)
1410
1411 # These rules are copied from automake, but tweaked to use FOR_BUILD variables.
1412 @SIM_ENABLE_IGEN_TRUE@igen/libigen.a: $(igen_libigen_a_OBJECTS) $(igen_libigen_a_DEPENDENCIES) $(EXTRA_igen_libigen_a_DEPENDENCIES) igen/$(am__dirstamp)
1413 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)-rm -f $@
1414 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_AR)$(AR_FOR_BUILD) $(ARFLAGS) $@ $(igen_libigen_a_OBJECTS) $(igen_libigen_a_LIBADD)
1415 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_at)$(RANLIB_FOR_BUILD) $@
1416
1417 @SIM_ENABLE_IGEN_TRUE@igen/igen$(EXEEXT): $(igen_igen_OBJECTS) $(igen_igen_DEPENDENCIES) igen/$(am__dirstamp)
1418 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CCLD)$(LINK_FOR_BUILD) $(igen_igen_OBJECTS) $(igen_igen_LDADD)
1419
1420 # igen is a build-time only tool. Override the default rules for it.
1421 @SIM_ENABLE_IGEN_TRUE@igen/%.o: igen/%.c
1422 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -c $< -o $@
1423
1424 # Build some of the files in standalone mode for developers of igen itself.
1425 @SIM_ENABLE_IGEN_TRUE@igen/%-main.o: igen/%.c
1426 @SIM_ENABLE_IGEN_TRUE@ $(AM_V_CC)$(COMPILE_FOR_BUILD) -DMAIN -c $< -o $@
1427
1428 site-srcdir.exp: Makefile
1429 echo "set srcdir \"$(srcdir)/testsuite\"" > $@
1430
1431 check-DEJAGNU: site.exp
1432 LC_ALL=C; export LC_ALL; \
1433 EXPECT=${EXPECT} ; export EXPECT ; \
1434 runtest=$(RUNTEST); \
1435 if $(SHELL) -c "$$runtest --version" > /dev/null 2>&1; then \
1436 $$runtest $(RUNTESTFLAGS); \
1437 else echo "WARNING: could not find \`runtest'" 1>&2; :;\
1438 fi
1439
1440 # These tests are build-time only tools. Override the default rules for them.
1441 testsuite/common/%.o: testsuite/common/%.c
1442 $(AM_V_CC)$(COMPILE_FOR_BUILD) $(testsuite_common_CPPFLAGS) -c $< -o $@
1443
1444 testsuite/common/alu-tst$(EXEEXT): $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1445 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_alu_tst_OBJECTS) $(testsuite_common_alu_tst_LDADD)
1446
1447 testsuite/common/fpu-tst$(EXEEXT): $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1448 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_fpu_tst_OBJECTS) $(testsuite_common_fpu_tst_LDADD)
1449
1450 testsuite/common/bits-gen$(EXEEXT): $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1451 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits_gen_OBJECTS) $(testsuite_common_bits_gen_LDADD)
1452
1453 testsuite/common/bits32m0$(EXEEXT): $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1454 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m0_OBJECTS) $(testsuite_common_bits32m0_LDADD)
1455
1456 testsuite/common/bits32m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1457 $< 32 0 big > $@.tmp
1458 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1459 mv $@.tmp $@
1460
1461 testsuite/common/bits32m31$(EXEEXT): $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1462 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits32m31_OBJECTS) $(testsuite_common_bits32m31_LDADD)
1463
1464 testsuite/common/bits32m31.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1465 $< 32 31 little > $@.tmp
1466 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1467 mv $@.tmp $@
1468
1469 testsuite/common/bits64m0$(EXEEXT): $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1470 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m0_OBJECTS) $(testsuite_common_bits64m0_LDADD)
1471
1472 testsuite/common/bits64m0.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1473 $< 64 0 big > $@.tmp
1474 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1475 mv $@.tmp $@
1476
1477 testsuite/common/bits64m63$(EXEEXT): $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_DEPENDENCIES) testsuite/common/$(am__dirstamp)
1478 $(AM_V_CCLD)$(LINK_FOR_BUILD) $(testsuite_common_bits64m63_OBJECTS) $(testsuite_common_bits64m63_LDADD)
1479
1480 testsuite/common/bits64m63.c: testsuite/common/bits-gen testsuite/common/bits-tst.c
1481 $< 64 63 little > $@.tmp
1482 cat $(srcdir)/testsuite/common/bits-tst.c >> $@.tmp
1483 mv $@.tmp $@
1484
1485 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1486 # Otherwise a system limit (for SysV at least) may be exceeded.
1487 .NOEXPORT:
This page took 0.059625 seconds and 4 git commands to generate.